Subject: Re: bug#15006: 24.3; emacs manual comment-start-skip example grouping

From: Stefan Monnier <[email-masked]>
Date: Thu, 01 Aug 2013 22:30:59 -0400

> Actually I see the cc-mode code uses it with a group.  And js.el too
> (perhaps copying cc-mode).  Does it have some subtle effect of skipping
> the /*, or is it outright wrong?

It's wrong.  But cc-mode likes to reinvent the wheel, so maybe
it doesn't use much of that code anyway.

>> Yes, I prefer to stay away from "whitepace syntax" for that reason and
>> would recommend [ \t]* in its stead.
> I suppose the intention is to pick up non-breaking spaces or whatever
> other flavours of whitespace.  Unlikely to arise in practice in
> programming language stuff.  Is there an obvious ill effect?

You can get things like (re-search-forward comment-start-skip) and end
up with (match-end 0) past the end of the matched comment (e.g. when
matching "//\n").

        Stefan